{
  "_version": "1.21.0",
  "sap.app": {
    "id": "de.itsfullofstars.QRScannerDemo",
    "type": "application",
    "i18n": "i18n/i18n.properties",
    "applicationVersion": {
      "version": "1.0.0"
    },
    "title": "{{appTitle}}",
    "description": "{{appDescription}}"
  },
  "sap.ui": {
    "technology": "UI5",
    "icons": {
      "icon": "",
      "favIcon": "",
      "phone": "",
      "phone@2": "",
      "tablet": "",
      "tablet@2": ""
    },
    "deviceTypes": {
      "desktop": true,
      "tablet": true,
      "phone": true
    }
  },
  "sap.ui5": {
    "rootView": {
      "viewName": "de.itsfullofstars.QRScannerDemo.view.Home",
      "type": "XML",
      "async": true,
      "id": "idAppControl"
    },
    "dependencies": {
      "minUI5Version": "1.60.0",
      "libs": {
        "sap.ui.core": {},
        "sap.m": {},
        "sap.ui.layout": {}
      }
    },
    "contentDensities": {
      "compact": true,
      "cozy": true
    },
    "models": {
      "i18n": {
        "type": "sap.ui.model.resource.ResourceModel",
        "settings": {
          "bundleName": "de.itsfullofstars.QRScannerDemo.i18n.i18n"
        }
      }
    },
    "resources": {
      "css": [
        {
          "uri": "css/style.css"
        }
      ]
    },
    "resourceRoots": {
			"de.itsfullofstars.qrscanner": "./libs/de/itsfullofstars/qrscanner"
		},
    "routing": {
      "config": {
        "routerClass": "sap.m.routing.Router",
        "viewType": "XML",
        "viewPath": "de.itsfullofstars.QRScannerDemo.view",
        "controlId": "idAppControl",
        "controlAggregation": "pages",
        "async": true
      },
      "routes": [
        {
          "name": "home",
          "pattern": "",
          "target": [
            "Home"
          ]
        }
      ],
      "targets": {
        "Home": {
          "viewType": "XML",
          "viewLevel": 1,
          "viewId": "idAppControl2",
          "viewName": "Home"
        }
      }
    }
  }
}
